Subject: Re: [PATCH] 8xx: fix usage of pinned 8Mbyte TLB entries

From: Dan Malek <[email-masked]>
Date: Sat, 7 May 2005 01:27:17 -0400

The last patch I just sent isn't quite sufficient.  We still have
to fix this:

On May 6, 2005, at 4:03 PM, Marcelo Tosatti wrote:

>         /* get the PTE for the bootpage */
>         if (!get_pteptr(&init_mm, bootpage, &pte))
>                panic("get_pteptr failed\n");
>
>         /* and make it uncachable */
>         pte_val(*pte) |= _PAGE_NO_CACHE;
>         _tlbie(bootpage);

One of things that was corrected in linuxppc-2.4, that never made
if forward.  I did a late consistent_alloc() on the first call to
hostmem_alloc().  I'm looking for a similar solution in 2.6.

Thanks.

	-- Dan